Bug 56740 - Nexus 6p Android O Preview: Couldn't connect to logcat, GetProcessId returned: 0
Summary: Nexus 6p Android O Preview: Couldn't connect to logcat, GetProcessId returned: 0
Status: VERIFIED FIXED
Alias: None
Product: Android
Classification: Xamarin
Component: Debugger (show other bugs)
Version: 7.3 (15.2)
Hardware: PC Windows
: Highest blocker
Target Milestone: 15.4
Assignee: Bugzilla
URL:
: 58946 59303 59526 (view as bug list)
Depends on:
Blocks:
 
Reported: 2017-05-22 21:14 UTC by Jeremy Kolb
Modified: 2017-10-23 06:50 UTC (History)
29 users (show)

See Also:
Tags:
Is this bug a regression?: ---
Last known good build:


Attachments
Pixel XL logcat (26.77 KB, text/plain)
2017-06-27 17:18 UTC, David Knauer
Details
my logcat file (807.43 KB, text/plain)
2017-10-06 04:09 UTC, Tim
Details
Here is where i think the issues are in the log (119.30 KB, image/png)
2017-10-06 04:16 UTC, Tim
Details

Description Jeremy Kolb 2017-05-22 21:14:44 UTC
Cannot debug anything on my Nexus6p.  I get: "Couldn't connect to logcat, GetProcessId returned: 0"



Microsoft Visual Studio Professional 2017 
Version 15.2 (26430.6) Release
VisualStudio.15.Release/15.2.0+26430.6
Microsoft .NET Framework
Version 4.7.02053

Installed Version: Professional

Visual Basic 2017   00369-60000-00001-AA771
Microsoft Visual Basic 2017

Visual C# 2017   00369-60000-00001-AA771
Microsoft Visual C# 2017

Visual C++ 2017   00369-60000-00001-AA771
Microsoft Visual C++ 2017

Visual F# 4.1   00369-60000-00001-AA771
Microsoft Visual F# 4.1

Application Insights Tools for Visual Studio Package   8.6.00404.2
Application Insights Tools for Visual Studio

ASP.NET and Web Tools 2017   15.0.30503.0
ASP.NET and Web Tools 2017

Common Azure Tools   1.9
Provides common services for use by Azure Mobile Services and Microsoft Azure Tools.

JavaScript Language Service   2.0
JavaScript Language Service

JavaScript Project System   2.0
JavaScript Project System

JavaScript UWP Project System   2.0
JavaScript UWP Project System

Merq   1.1.17-rc (cba4571)
Command Bus, Event Stream and Async Manager for Visual Studio extensions.

Microsoft Visual Studio VC Package   1.0
Microsoft Visual Studio VC Package

Mono Debugging for Visual Studio   Mono.Debugging.VisualStudio
Support for debugging Mono processes with Visual Studio.

NuGet Package Manager   4.2.0
NuGet Package Manager in Visual Studio. For more information about NuGet, visit http://docs.nuget.org/.

TypeScript   2.2.2.0
TypeScript tools for Visual Studio

Visual Studio tools for CMake   1.0
Visual Studio tools for CMake

Visual Studio Tools for Universal Windows Apps   15.0.26430.06
The Visual Studio Tools for Universal Windows apps allow you to build a single universal app experience that can reach every device running Windows 10: phone, tablet, PC, and more. It includes the Microsoft Windows 10 Software Development Kit.

Xamarin   4.5.0.443 (c871575)
Visual Studio extension to enable development for Xamarin.iOS and Xamarin.Android.

Xamarin.Android SDK   7.3.0.13 (448f54f)
Xamarin.Android Reference Assemblies and MSBuild support.

Xamarin.iOS and Xamarin.Mac SDK   10.10.0.30 (30b6e87)
Xamarin.iOS and Xamarin.Mac Reference Assemblies and MSBuild support.
Comment 1 Jon Douglas [MSFT] 2017-06-27 15:36:21 UTC
Unfortunately, we’re unable to reproduce this report. If this issue is still occurring for you, please reopen this issue and attach a reproduction to the bug by starting with a clean Xamarin.Android project adding just the code necessary to demonstrate the issue.

On a few secondary notes, if you can attach an `adb logcat` for the duration of deploying an application until it crashes, there could be some information that helps us out there as well. Double check to ensure that `adb devices` returns your device in a normal state.

I am marking this bug as NEEDINFO until we can get a project that demonstrates this issue, or reproduction steps in which we can confirm this issue. Since this issue sounds more like an environment issue, it may be a bit more difficult to reproduce on our end. If this continues to happen to you and you are on the latest stable channel of updates, we will need to gather more information.
Comment 2 David Knauer 2017-06-27 17:15:56 UTC
I'm able to repro this bug with a Google Pixel XL running Android O (OPP3.170518.006) using a minimal Xamarin.Android project available at https://github.com/dknr/xammo. Visual Studio is updated to the latest available version. 

I'll attach a logcat from the time of the crash. It looks like the operation of ps may have changed for Android O. See https://stackoverflow.com/q/44732749.



Microsoft Visual Studio Enterprise 2017
Version 15.2 (26430.14) Release
VisualStudio.15.Release/15.2.0+26430.14
Microsoft .NET Framework
Version 4.7.02046

Installed Version: Enterprise

Visual Basic 2017   00369-60000-00001-AA195
Microsoft Visual Basic 2017

Visual C# 2017   00369-60000-00001-AA195
Microsoft Visual C# 2017

Visual F# 4.1   00369-60000-00001-AA195
Microsoft Visual F# 4.1

Application Insights Tools for Visual Studio Package   8.6.00404.2
Application Insights Tools for Visual Studio

ASP.NET and Web Tools 2017   15.0.30503.0
ASP.NET and Web Tools 2017

ASP.NET Web Frameworks and Tools 2017   5.2.50303.0
For additional information, visit https://www.asp.net/

Azure App Service Tools v3.0.0   15.0.30209.0
Azure App Service Tools v3.0.0

Common Azure Tools   1.9
Provides common services for use by Azure Mobile Services and Microsoft Azure Tools.

GitHub.VisualStudio   2.2.0.10
A Visual Studio Extension that brings the GitHub Flow into Visual Studio.

JavaScript Language Service   2.0
JavaScript Language Service

JetBrains ReSharper Ultimate 2017.1.2    Build 108.0.20170428.75743
JetBrains ReSharper Ultimate package for Microsoft Visual Studio. For more information about ReSharper Ultimate, visit http://www.jetbrains.com/resharper. Copyright © 2017 JetBrains, Inc.

KofePackagePackage Extension   1.0
KofePackagePackage Visual Studio Extension Detailed Info

Merq   1.1.17-rc (cba4571)
Command Bus, Event Stream and Async Manager for Visual Studio extensions.

Microsoft Azure Tools   2.9
Microsoft Azure Tools for Microsoft Visual Studio 2017 - v2.9.50131.1

Microsoft MI-Based Debugger   1.0
Provides support for connecting Visual Studio to MI compatible debuggers

Mono Debugging for Visual Studio   Mono.Debugging.VisualStudio
Support for debugging Mono processes with Visual Studio.

NuGet Package Manager   4.2.0
NuGet Package Manager in Visual Studio. For more information about NuGet, visit http://docs.nuget.org/.

SQL Server Data Tools   15.1.61702.140
Microsoft SQL Server Data Tools

TypeScript   2.2.2.0
TypeScript tools for Visual Studio

Xamarin   4.5.0.486 (fec6f88)
Visual Studio extension to enable development for Xamarin.iOS and Xamarin.Android.

Xamarin.Android SDK   7.3.1.2 (9dbc4c5)
Xamarin.Android Reference Assemblies and MSBuild support.

Xamarin.iOS and Xamarin.Mac SDK   10.10.0.37 (ad35de4)
Xamarin.iOS and Xamarin.Mac Reference Assemblies and MSBuild support.
Comment 3 David Knauer 2017-06-27 17:18:30 UTC
Created attachment 23142 [details]
Pixel XL logcat

logcat from Pixel XL running Android O for Comment 2 on #56740
Comment 4 Carey Bishop 2017-07-31 05:35:23 UTC
I'm seeing the same behaviour on my Nexus 6P running build Android O Developer Preview 4 (build OPP4.170623.014).

The key part of the log is:

07-31 17:21:50.776 29009 29009 W monodroid-debug: Trying to initialize the debugger with options: --debugger-agent=transport=dt_socket,loglevel=0,address=127.0.0.1:29304,server=y,embedding=1
07-31 17:21:50.776 29009 29009 W monodroid-debug: Accepted stdout connection: -1
07-31 17:21:50.776 29009 29009 F monodroid-debug: Error accepting stdout and stderr (127.0.0.1:29305): Address already in use
Comment 5 Carey Bishop 2017-08-08 03:47:39 UTC
Starting the debug build of the application directly from the phone (without using Visual Studio), it takes a long time to start up.
The log output shows many attempts to open a socket, all of which fail with "Address already in use".

08-08 15:34:07.470 16802 28018 I ActivityManager: Start proc 25392:com.example.android-app/u0a328 for activity com.example.android-app/androidApp.droid.SplashScreen
08-08 15:34:07.471 25392 25392 I zygote64: Late-enabling -Xcheck:jni
08-08 15:34:07.616 25392 25392 W monodroid: Creating public update directory: `/data/user/0/com.example.android-app/files/.__override__`
08-08 15:34:07.616 25392 25392 W monodroid: Using override path: /data/user/0/com.example.android-app/files/.__override__
08-08 15:34:07.616 25392 25392 W monodroid: Trying to load sgen from: /data/user/0/com.example.android-app/files/.__override__/libmonosgen-2.0.so
08-08 15:34:07.616 25392 25392 W monodroid: Trying to load sgen from: /storage/emulated/0/Android/data/com.example.android-app/files/.__override__/libmonosgen-2.0.so
08-08 15:34:07.616 25392 25392 W monodroid: Trying to load sgen from: /data/app/com.example.android-app-2L_3GSM3_sKPUVbyUf9AbQ==/lib/arm64/libmonosgen-2.0.so
08-08 15:34:07.616 25392 25392 W monodroid: Trying to load sgen from: /data/user/0/com.example.android-app/files/.__override__/links/libmonosgen-2.0.so
08-08 15:34:07.620 25392 25392 W monodroid-debug: Trying to initialize the debugger with options: --debugger-agent=transport=dt_socket,loglevel=0,address=127.0.0.1:29354,server=y,embedding=1
08-08 15:34:07.620 25392 25392 W monodroid-debug: Accepted stdout connection: -1
08-08 15:34:07.620 25392 25392 F monodroid-debug: Error accepting stdout and stderr (127.0.0.1:29355): Address already in use
08-08 15:34:07.673 16802  3807 I ActivityManager: Process com.example.android-app (pid 25392) has died: fore TOP
08-08 15:34:07.677 16606 16606 I Zygote  : Process 25392 exited cleanly (3)
08-08 15:34:07.698 16802  3807 I ActivityManager: Start proc 25408:com.example.android-app/u0a328 for activity com.example.android-app/androidApp.droid.SplashScreen
08-08 15:34:07.700 25408 25408 I zygote64: Late-enabling -Xcheck:jni
08-08 15:34:07.870 25408 25408 W monodroid: Creating public update directory: `/data/user/0/com.example.android-app/files/.__override__`
08-08 15:34:07.871 25408 25408 W monodroid: Using override path: /data/user/0/com.example.android-app/files/.__override__
08-08 15:34:07.871 25408 25408 W monodroid: Trying to load sgen from: /data/user/0/com.example.android-app/files/.__override__/libmonosgen-2.0.so
08-08 15:34:07.871 25408 25408 W monodroid: Trying to load sgen from: /storage/emulated/0/Android/data/com.example.android-app/files/.__override__/libmonosgen-2.0.so
08-08 15:34:07.871 25408 25408 W monodroid: Trying to load sgen from: /data/app/com.example.android-app-2L_3GSM3_sKPUVbyUf9AbQ==/lib/arm64/libmonosgen-2.0.so
08-08 15:34:07.871 25408 25408 W monodroid: Trying to load sgen from: /data/user/0/com.example.android-app/files/.__override__/links/libmonosgen-2.0.so
08-08 15:34:07.875 25408 25408 W monodroid-debug: Trying to initialize the debugger with options: --debugger-agent=transport=dt_socket,loglevel=0,address=127.0.0.1:29354,server=y,embedding=1
08-08 15:34:07.875 25408 25408 W monodroid-debug: Accepted stdout connection: -1
08-08 15:34:07.875 25408 25408 F monodroid-debug: Error accepting stdout and stderr (127.0.0.1:29355): Address already in use
08-08 15:34:07.913 16802 28018 I ActivityManager: Process com.example.android-app (pid 25408) has died: fore TOP
08-08 15:34:07.914 16606 16606 I Zygote  : Process 25408 exited cleanly (3)
08-08 15:34:07.931 16802 28018 I ActivityManager: Start proc 25425:com.example.android-app/u0a328 for activity com.example.android-app/androidApp.droid.SplashScreen
08-08 15:34:07.932 25425 25425 I zygote64: Late-enabling -Xcheck:jni
08-08 15:34:08.066 28396  3767 I PlayCommon: [182] com.google.android.play.a.g.e(220): Preparing logs for uploading
08-08 15:34:08.067 28396  3767 I PlayCommon: [182] com.google.android.play.a.g.e(224): No file ready to send
08-08 15:34:08.075 25425 25425 W monodroid: Creating public update directory: `/data/user/0/com.example.android-app/files/.__override__`
08-08 15:34:08.075 25425 25425 W monodroid: Using override path: /data/user/0/com.example.android-app/files/.__override__
08-08 15:34:08.075 25425 25425 W monodroid: Trying to load sgen from: /data/user/0/com.example.android-app/files/.__override__/libmonosgen-2.0.so
08-08 15:34:08.075 25425 25425 W monodroid: Trying to load sgen from: /storage/emulated/0/Android/data/com.example.android-app/files/.__override__/libmonosgen-2.0.so
08-08 15:34:08.075 25425 25425 W monodroid: Trying to load sgen from: /data/app/com.example.android-app-2L_3GSM3_sKPUVbyUf9AbQ==/lib/arm64/libmonosgen-2.0.so
08-08 15:34:08.075 25425 25425 W monodroid: Trying to load sgen from: /data/user/0/com.example.android-app/files/.__override__/links/libmonosgen-2.0.so
08-08 15:34:08.079 25425 25425 W monodroid-debug: Trying to initialize the debugger with options: --debugger-agent=transport=dt_socket,loglevel=0,address=127.0.0.1:29354,server=y,embedding=1
08-08 15:34:08.079 25425 25425 W monodroid-debug: Accepted stdout connection: -1
08-08 15:34:08.079 25425 25425 F monodroid-debug: Error accepting stdout and stderr (127.0.0.1:29355): Address already in use
08-08 15:34:08.112 16802  5602 I ActivityManager: Process com.example.android-app (pid 25425) has died: fore TOP
08-08 15:34:08.112 16606 16606 I Zygote  : Process 25425 exited cleanly (3)
08-08 15:34:08.127 16802  5602 I ActivityManager: Start proc 25441:com.example.android-app/u0a328 for activity com.example.android-app/androidApp.droid.SplashScreen
08-08 15:34:08.128 25441 25441 I zygote64: Late-enabling -Xcheck:jni
08-08 15:34:08.146 16611 16611 E wificond: Failed to get interface index from scan result notification
08-08 15:34:08.285 25441 25441 W monodroid: Creating public update directory: `/data/user/0/com.example.android-app/files/.__override__`
08-08 15:34:08.285 25441 25441 W monodroid: Using override path: /data/user/0/com.example.android-app/files/.__override__
08-08 15:34:08.285 25441 25441 W monodroid: Trying to load sgen from: /data/user/0/com.example.android-app/files/.__override__/libmonosgen-2.0.so
08-08 15:34:08.285 25441 25441 W monodroid: Trying to load sgen from: /storage/emulated/0/Android/data/com.example.android-app/files/.__override__/libmonosgen-2.0.so
08-08 15:34:08.285 25441 25441 W monodroid: Trying to load sgen from: /data/app/com.example.android-app-2L_3GSM3_sKPUVbyUf9AbQ==/lib/arm64/libmonosgen-2.0.so
08-08 15:34:08.285 25441 25441 W monodroid: Trying to load sgen from: /data/user/0/com.example.android-app/files/.__override__/links/libmonosgen-2.0.so
08-08 15:34:08.289 25441 25441 W monodroid-debug: Trying to initialize the debugger with options: --debugger-agent=transport=dt_socket,loglevel=0,address=127.0.0.1:29354,server=y,embedding=1
08-08 15:34:08.289 25441 25441 W monodroid-debug: Accepted stdout connection: -1
08-08 15:34:08.289 25441 25441 F monodroid-debug: Error accepting stdout and stderr (127.0.0.1:29355): Address already in use
08-08 15:34:08.328 16802  3807 I ActivityManager: Process com.example.android-app (pid 25441) has died: fore TOP
08-08 15:34:08.330 16606 16606 I Zygote  : Process 25441 exited cleanly (3)
08-08 15:34:08.345 16802  3807 I ActivityManager: Start proc 25458:com.example.android-app/u0a328 for activity com.example.android-app/androidApp.droid.SplashScreen
08-08 15:34:08.346 25458 25458 I zygote64: Late-enabling -Xcheck:jni
08-08 15:34:08.488 25458 25458 W monodroid: Creating public update directory: `/data/user/0/com.example.android-app/files/.__override__`
08-08 15:34:08.488 25458 25458 W monodroid: Using override path: /data/user/0/com.example.android-app/files/.__override__
08-08 15:34:08.488 25458 25458 W monodroid: Trying to load sgen from: /data/user/0/com.example.android-app/files/.__override__/libmonosgen-2.0.so
08-08 15:34:08.488 25458 25458 W monodroid: Trying to load sgen from: /storage/emulated/0/Android/data/com.example.android-app/files/.__override__/libmonosgen-2.0.so
08-08 15:34:08.489 25458 25458 W monodroid: Trying to load sgen from: /data/app/com.example.android-app-2L_3GSM3_sKPUVbyUf9AbQ==/lib/arm64/libmonosgen-2.0.so
08-08 15:34:08.489 25458 25458 W monodroid: Trying to load sgen from: /data/user/0/com.example.android-app/files/.__override__/links/libmonosgen-2.0.so
08-08 15:34:08.492 25458 25458 W monodroid-debug: Trying to initialize the debugger with options: --debugger-agent=transport=dt_socket,loglevel=0,address=127.0.0.1:29354,server=y,embedding=1
08-08 15:34:08.492 25458 25458 W monodroid-debug: Accepted stdout connection: -1
08-08 15:34:08.492 25458 25458 F monodroid-debug: Error accepting stdout and stderr (127.0.0.1:29355): Address already in use
08-08 15:34:08.525 16802  3803 I ActivityManager: Process com.example.android-app (pid 25458) has died: fore TOP
08-08 15:34:08.526 16606 16606 I Zygote  : Process 25458 exited cleanly (3)
08-08 15:34:08.540 16802  3803 I ActivityManager: Start proc 25474:com.example.android-app/u0a328 for activity com.example.android-app/androidApp.droid.SplashScreen
08-08 15:34:08.542 25474 25474 I zygote64: Late-enabling -Xcheck:jni
08-08 15:34:08.708 25474 25474 W monodroid: Creating public update directory: `/data/user/0/com.example.android-app/files/.__override__`
08-08 15:34:08.708 25474 25474 W monodroid: Using override path: /data/user/0/com.example.android-app/files/.__override__
08-08 15:34:08.709 25474 25474 W monodroid: Trying to load sgen from: /data/user/0/com.example.android-app/files/.__override__/libmonosgen-2.0.so
08-08 15:34:08.709 25474 25474 W monodroid: Trying to load sgen from: /storage/emulated/0/Android/data/com.example.android-app/files/.__override__/libmonosgen-2.0.so
08-08 15:34:08.709 25474 25474 W monodroid: Trying to load sgen from: /data/app/com.example.android-app-2L_3GSM3_sKPUVbyUf9AbQ==/lib/arm64/libmonosgen-2.0.so
08-08 15:34:08.709 25474 25474 W monodroid: Trying to load sgen from: /data/user/0/com.example.android-app/files/.__override__/links/libmonosgen-2.0.so
08-08 15:34:08.715 25474 25474 W monodroid-debug: Trying to initialize the debugger with options: --debugger-agent=transport=dt_socket,loglevel=0,address=127.0.0.1:29354,server=y,embedding=1
08-08 15:34:08.715 25474 25474 W monodroid-debug: Accepted stdout connection: -1
08-08 15:34:08.715 25474 25474 F monodroid-debug: Error accepting stdout and stderr (127.0.0.1:29355): Address already in use
08-08 15:34:08.758 16802 16871 I ActivityManager: Process com.example.android-app (pid 25474) has died: fore TOP
08-08 15:34:08.760 16606 16606 I Zygote  : Process 25474 exited cleanly (3)
08-08 15:34:08.781 25490 25490 I zygote64: Late-enabling -Xcheck:jni
08-08 15:34:08.781 16802 16871 I ActivityManager: Start proc 25490:com.example.android-app/u0a328 for activity com.example.android-app/androidApp.droid.SplashScreen
08-08 15:34:08.920 25490 25490 W monodroid: Creating public update directory: `/data/user/0/com.example.android-app/files/.__override__`
08-08 15:34:08.920 25490 25490 W monodroid: Using override path: /data/user/0/com.example.android-app/files/.__override__
08-08 15:34:08.920 25490 25490 W monodroid: Trying to load sgen from: /data/user/0/com.example.android-app/files/.__override__/libmonosgen-2.0.so
08-08 15:34:08.920 25490 25490 W monodroid: Trying to load sgen from: /storage/emulated/0/Android/data/com.example.android-app/files/.__override__/libmonosgen-2.0.so
08-08 15:34:08.920 25490 25490 W monodroid: Trying to load sgen from: /data/app/com.example.android-app-2L_3GSM3_sKPUVbyUf9AbQ==/lib/arm64/libmonosgen-2.0.so
08-08 15:34:08.920 25490 25490 W monodroid: Trying to load sgen from: /data/user/0/com.example.android-app/files/.__override__/links/libmonosgen-2.0.so
08-08 15:34:08.924 25490 25490 W monodroid-debug: Trying to initialize the debugger with options: --debugger-agent=transport=dt_socket,loglevel=0,address=127.0.0.1:29354,server=y,embedding=1
08-08 15:34:08.924 25490 25490 W monodroid-debug: Accepted stdout connection: -1
08-08 15:34:08.925 25490 25490 F monodroid-debug: Error accepting stdout and stderr (127.0.0.1:29355): Address already in use
08-08 15:34:08.964 16802  3807 I ActivityManager: Process com.example.android-app (pid 25490) has died: fore TOP
08-08 15:34:08.967 16606 16606 I Zygote  : Process 25490 exited cleanly (3)
08-08 15:34:08.988 16802  3807 I ActivityManager: Start proc 25506:com.example.android-app/u0a328 for activity com.example.android-app/androidApp.droid.SplashScreen
08-08 15:34:08.990 25506 25506 I zygote64: Late-enabling -Xcheck:jni
08-08 15:34:09.073 16611 16611 E wificond: Failed to get interface index from scan result notification
08-08 15:34:09.157 25506 25506 W monodroid: Creating public update directory: `/data/user/0/com.example.android-app/files/.__override__`
08-08 15:34:09.157 25506 25506 W monodroid: Using override path: /data/user/0/com.example.android-app/files/.__override__
08-08 15:34:09.157 25506 25506 W monodroid: Trying to load sgen from: /data/user/0/com.example.android-app/files/.__override__/libmonosgen-2.0.so
08-08 15:34:09.157 25506 25506 W monodroid: Trying to load sgen from: /storage/emulated/0/Android/data/com.example.android-app/files/.__override__/libmonosgen-2.0.so
08-08 15:34:09.157 25506 25506 W monodroid: Trying to load sgen from: /data/app/com.example.android-app-2L_3GSM3_sKPUVbyUf9AbQ==/lib/arm64/libmonosgen-2.0.so
08-08 15:34:09.158 25506 25506 W monodroid: Trying to load sgen from: /data/user/0/com.example.android-app/files/.__override__/links/libmonosgen-2.0.so
08-08 15:34:09.162 25506 25506 W monodroid-debug: Not starting the debugger as the timeout value has been reached; current-time: 1502163249  timeout: 1502163248
08-08 15:34:09.388 25506 25506 W monodroid-gc: GREF GC Threshold: 46080
08-08 15:34:09.524 25506 25506 W monodroid: Calling into managed runtime init
Comment 6 Jon Douglas [MSFT] 2017-08-21 20:24:30 UTC
Android O was just released today as of 8/21/2017 and I have a local copy that I tested this with. I was indeed able to reproduce this:

Visual Studio logs:

Android application is debugging.
Couldn't connect to logcat, GetProcessId returned: 0

Thus I am marking this issue as CONFIRMED.

Android 8.0.0
Google Pixel

Xamarin Version:

Xamarin 4.6.0.295
Xamarin.Android SDK 7.4.0.19

Visual Studio 15.3 Stable Release
Comment 7 Joaquin Jares 2017-08-23 15:26:04 UTC
*** Bug 58946 has been marked as a duplicate of this bug. ***
Comment 9 Cody Morgan 2017-08-27 04:10:05 UTC
Same bug using Google Pixel with the Android 8.0 release. Downloaded the latest API, same issue.
Comment 10 Marek Habersack 2017-09-07 13:43:24 UTC
It appears that comment 2 about `ps` semantics having changed is correct. Android used to use toolbox (http://elinux.org/Android_toolbox) to implement the common shell utilities until API 25. With API 26 it seems to have switched to toybox (http://www.landley.net/toybox/) which does have different semantics for the `ps` command (and possibly others) and it does affect `GetProcessId`
Comment 11 Prashant [MSFT] 2017-09-08 04:02:08 UTC
*** Bug 59303 has been marked as a duplicate of this bug. ***
Comment 12 Marek Habersack 2017-09-08 13:32:32 UTC
Fixed in:

  androidtools/master, commit 23ec3c7f978e1f7bd9790475a405c7138aedceed
  monodroid/master, commit 04a93eef1ba3ee040893e729aa85ddf306e198ca
Comment 13 Chase Florell 2017-09-08 17:36:42 UTC
So I realize this was `just` fixed, but I'm wondering if we're going to see a quick turnaround on the patch? This is pretty critical when our dev device is a Pixel.
Comment 14 Marek Habersack 2017-09-09 12:14:27 UTC
The patch is going to be part of the upcoming 15.4 update.
Comment 15 Paul Brenner 2017-09-11 17:21:56 UTC
Is this in 15.4 preview? Do you have an ETA on when 15.4 will be available?
Comment 16 Jon Douglas [MSFT] 2017-09-11 17:23:22 UTC
(In reply to Paul Brenner from comment #15)
> Is this in 15.4 preview? Do you have an ETA on when 15.4 will be available?

Most likely end of September in 15.4 Preview 3.
Comment 17 Jeremy Kolb 2017-09-11 17:25:36 UTC
This should really be a hot fix IMHO especially since Preview 3 is just that... a preview (with it's own host of bugs which may make it impossible to use when released).  Most developers use Nexus/Pixel devices for development and this bug is a blocker.
Comment 18 Jon Douglas [MSFT] 2017-09-11 17:49:57 UTC
(In reply to Jeremy Kolb from comment #17)
> This should really be a hot fix IMHO especially since Preview 3 is just
> that... a preview (with it's own host of bugs which may make it impossible
> to use when released).  Most developers use Nexus/Pixel devices for
> development and this bug is a blocker.

Unfortunately this bug was not fixed until after 15.4 Preview 2 had shipped which is slotted to release today/this week at latest.

Thus because of this, it will not be available until 15.4 Preview 3 which is estimated for September 20th - 30th.

15.4 will be released to stable early October.

This will be around 9 days of downtime in which to workaround the issue, one can use a non-Oreo device/emulator or VS for Mac. By request, I can upload a complete workaround for VS(windows) with the fixed files and instructions. 

Xamarin for Visual Studio is tied to the Visual Studio release process and thus follows it's release cycle:

https://www.visualstudio.com/en-us/productinfo/vs2017-release-rhythm

TLDR; There is a fix that will be released around 9/20 to the preview channel and it will be released to the stable channel around 10/05.
Comment 19 Chase Florell 2017-09-11 17:53:22 UTC
> I can upload a complete workaround for VS(windows) with the fixed files and instructions. 

Yes please, as long as it doesn't break anything else when the next stable release rolls out.
Comment 20 Jon Douglas [MSFT] 2017-09-11 18:06:02 UTC
1. Download the following: 

https://www.dropbox.com/s/r5k5ubvnixkfgdg/androitools-oreo.zip?dl=0

2. Replace these files in the following locations:

C:\Program Files (x86)\Microsoft Visual Studio\2017\Enterprise\MSBuild\Xamarin\Android

C:\Program Files (x86)\Microsoft Visual Studio\2017\Enterprise\Common7\IDE\Extensions\Xamarin.VisualStudio

(If you want this in other instances of Visual Studio such as the Preview channel, simply change from the \2017 folder to \Preview instead.

i.e.

C:\Program Files (x86)\Microsoft Visual Studio\Preview

At anytime if you would like to revert these changes, you can simply go to Visual Studio Installer -> Modify -> Remove the Xamarin payload and then reinstall it.
Comment 21 Paul Brenner 2017-09-11 19:11:49 UTC
Thank you! After replacing those files I can now debug.
Comment 22 Geoffrey Huntley 2017-09-12 03:13:25 UTC
Jon Douglas - thank-you. Confirming that it's working for me after unpacking the zipfile into the locations you specified.

Microsoft Visual Studio Enterprise 2017 
Version 15.3.3
VisualStudio.15.Release/15.3.3+26730.12
Microsoft .NET Framework
Version 4.7.02046

Installed Version: Enterprise

Architecture Diagrams and Analysis Tools   00369-60000-00001-AA183
Microsoft Architecture Diagrams and Analysis Tools

Visual Basic 2017   00369-60000-00001-AA183
Microsoft Visual Basic 2017

Visual C# 2017   00369-60000-00001-AA183
Microsoft Visual C# 2017

Visual C++ 2017   00369-60000-00001-AA183
Microsoft Visual C++ 2017

Visual F# 4.1   00369-60000-00001-AA183
Microsoft Visual F# 4.1

Application Insights Tools for Visual Studio Package   8.8.00712.1
Application Insights Tools for Visual Studio

ASP.NET and Web Tools 2017   15.0.30726.0
ASP.NET and Web Tools 2017

ASP.NET Core Razor Language Services   1.0
Provides languages services for ASP.NET Core Razor.

ASP.NET Template Engine 2017   15.0.30726.0
ASP.NET Template Engine 2017

ASP.NET Web Frameworks and Tools 2017   5.2.50601.0
For additional information, visit https://www.asp.net/

Azure App Service Tools v3.0.0   15.0.30728.0
Azure App Service Tools v3.0.0

Azure Data Lake Node   1.0
This package contains the Data Lake integration nodes for Server Explorer.

Azure Data Lake Tools for Visual Studio   2.2.9000.1
Microsoft Azure Data Lake Tools for Visual Studio

Azure Data Lake Tools for Visual Studio   2.2.9000.1
Microsoft Azure Data Lake Tools for Visual Studio

CodeMaid   10.4.53
CodeMaid is an open source Visual Studio extension to cleanup and simplify our C#, C++, F#, VB, PHP, PowerShell, R, JSON, XAML, XML, ASP, HTML, CSS, LESS, SCSS, JavaScript and TypeScript coding.

Common Azure Tools   1.10
Provides common services for use by Azure Mobile Services and Microsoft Azure Tools.

Fabric.DiagnosticEvents   1.0
Fabric Diagnostic Events

JavaScript Language Service   2.0
JavaScript Language Service

JavaScript Project System   2.0
JavaScript Project System

JavaScript UWP Project System   2.0
JavaScript UWP Project System

JetBrains ReSharper Ultimate 2017.1.3    Build 108.0.20170613.154143
JetBrains ReSharper Ultimate package for Microsoft Visual Studio. For more information about ReSharper Ultimate, visit http://www.jetbrains.com/resharper. Copyright © 2017 JetBrains, Inc.

License Header Manager   2.0.0
An extension for automatically inserting license information file headers.

Merq   1.1.17-rc (cba4571)
Command Bus, Event Stream and Async Manager for Visual Studio extensions.

Microsoft Azure HDInsight Azure Node   2.2.9000.1
HDInsight Node under Azure Node

Microsoft Azure Hive Query Language Service   2.2.9000.1
Language service for Hive query

Microsoft Azure Service Fabric Tools for Visual Studio   1.7
Microsoft Azure Service Fabric Tools for Visual Studio

Microsoft Azure Stream Analytics Language Service   2.2.9000.1
Language service for Azure Stream Analytics

Microsoft Azure Stream Analytics Node   1.0
Azure Stream Analytics Node under Azure Node

Microsoft Azure Tools   2.9
Microsoft Azure Tools for Microsoft Visual Studio 2017 - v2.9.50719.1

Microsoft Continuous Delivery Tools for Visual Studio   0.3
Simplifying the configuration of continuous build integration and continuous build delivery from within the Visual Studio IDE.

Microsoft JVM Debugger   1.0
Provides support for connecting the Visual Studio debugger to JDWP compatible Java Virtual Machines

Microsoft MI-Based Debugger   1.0
Provides support for connecting Visual Studio to MI compatible debuggers

Microsoft Visual C++ Wizards   1.0
Microsoft Visual C++ Wizards

Microsoft Visual Studio VC Package   1.0
Microsoft Visual Studio VC Package

Mono Debugging for Visual Studio   4.6.8-pre (ec7034f)
Support for debugging Mono processes with Visual Studio.

NCrunch   
Continuous Testing Tool for .NET
Copyright © 2010-2017 Remco Software Ltd

NuGet Package Manager   4.3.1
NuGet Package Manager in Visual Studio. For more information about NuGet, visit http://docs.nuget.org/.

Office Developer Tools for Visual Studio 2017 ENU   15.0.26712
Microsoft Office Developer Tools for Visual Studio 2017 ENU

Open Command Line   2.1.179
Opens a command line at the root of the project. Support for all consoles such as CMD, PowerShell, Bash etc. Provides syntax highlighting, Intellisense and execution of .cmd and .bat files.

OzCode   1.0
Your road to Magical Debugging. http://www.oz-code.com

OzCodePackage Extension   1.0
OzCodePackage Visual Studio Extension Detailed Info

Redgate ReadyRoll   1.14.11.4593
Extend DevOps processes to your SQL Server databases and safely automate database deployments.
    
Visit https://www.red-gate.com/readyroll for more information.

Copyright (C) 2011 Red Gate Software Ltd. All rights reserved.
  
This software contains components from Component Owl.
SQL Server is a registered trademark of Microsoft Corporation. 
Visual Studio is a registered trademark of Microsoft Corporation. 

ReadyRoll contains code from the following open source software:

NuGet https://www.nuget.org/
SQL LocalDB Wrapper https://github.com/martincostello/sqllocaldb
Autofac https://autofac.org/
Json.NET https://json.net/
MahApps.Metro http://mahapps.com/
SemVer https://github.com/maxhauser/semver
Log4Net http://logging.apache.org/log4net/
Extended WPF Toolkit https://wpftoolkit.codeplex.com/
Code InfoBox VSX http://www.codeproject.com/Articles/55196/Code-InfoBox-Visual-Studio-Extension-VSX
OctoPack https://github.com/OctopusDeploy/OctoPack
SQLite https://sqlite.org/

This product contains icons from http://www.visualpharm.com distributed under a free backlink license.

For license details or other notices relating to the above software, please see NOTICE.TXT and EULA.rtf in the ReadyRoll application folder.
    

Redgate SQL Prompt   8.0.2.1513
Write, format, and refactor SQL effortlessly

SettingsWindow Extension   1.0
SettingsWindow Visual Studio Extension Detailed Info

SQL Server Data Tools   15.1.61707.200
Microsoft SQL Server Data Tools

Tizen.Extension.Package Extension   1.0
Tizen.Extension.Package Visual Studio Extension Detailed Info

ToolWindowHostedEditor   1.0
Hosting json editor into a tool window

TypeScript   2.3.4.0
TypeScript tools for Visual Studio

Visual C++ for Linux Development   1.0.7
Visual C++ for Linux Development

Visual Studio Code Debug Adapter Host Package   1.0
Interop layer for hosting Visual Studio Code debug adapters in Visual Studio

Visual Studio tools for CMake   1.0
Visual Studio tools for CMake

Visual Studio Tools for Unity   3.3.0.2
Visual Studio Tools for Unity

Visual Studio Tools for Universal Windows Apps   15.0.26730.08
The Visual Studio Tools for Universal Windows apps allow you to build a single universal app experience that can reach every device running Windows 10: phone, tablet, PC, and more. It includes the Microsoft Windows 10 Software Development Kit.

VsVim   2.4.1.0
VsVim is a Vim emulator for Visual Studio

WebJobs Tools v1.0.0   15.0.30901.0
WebJobs Tools v1.0.0

Workflow Manager Tools 1.0   1.0
This package contains the necessary Visual Studio integration components for Workflow Manager.

Xamarin   4.6.0.299 (b63523e27)
Visual Studio extension to enable development for Xamarin.iOS and Xamarin.Android.

Xamarin.Android SDK   7.4.0.21 (2851083)
Xamarin.Android Reference Assemblies and MSBuild support.

Xamarin.iOS and Xamarin.Mac SDK   10.12.0.20 (80b8487)
Xamarin.iOS and Xamarin.Mac Reference Assemblies and MSBuild support.
Comment 23 Carey Bishop 2017-09-12 03:29:00 UTC
Thanks Jon, that patch works great for me too.
Comment 26 Cody Morgan 2017-09-14 16:43:20 UTC
When adding the patch, I now get a problem trying to open my xamarin solution. 

Unsupported
This version of Visual Studio is unable to open the following projects. The project types may not be installed or this version of Visual Studio may not support them. 
For more information on enabling these project types or otherwise migrating your assets, please see the details in the "Migration Report" displayed after clicking OK.
	 - SCAM, "C:\Users\Cody Morgan\Source\Repos\SCAM\SCAM\SCAM.csproj"


Non-functional changes required
Visual Studio will automatically make non-functional changes to the following projects in order to enable them to open in Visual Studio 2015, Visual Studio 2013, Visual Studio 2012, and Visual Studio 2010 SP1. Project behavior will not be impacted.
	 - SCAM, "C:\Users\Cody Morgan\source\repos\Scam\SCAM.sln"
Comment 27 mm.farahat 2017-09-14 18:04:08 UTC
@Jon Douglas [MSFT]  

I am not able to find this path : C:\Program Files (x86)\Microsoft Visual Studio\2017\Enterprise\MSBuild\Xamarin\Android
  
"C:\Program Files (x86)\Microsoft Visual Studio\2017" is empty.

I've VS 2017 community installed on a different partition (not C: )

any ideas ?!
Comment 28 Jon Douglas [MSFT] 2017-09-14 18:06:34 UTC
(In reply to mm.farahat from comment #27)
> @Jon Douglas [MSFT]  
> 
> I am not able to find this path : C:\Program Files (x86)\Microsoft Visual
> Studio\2017\Enterprise\MSBuild\Xamarin\Android
>   
> "C:\Program Files (x86)\Microsoft Visual Studio\2017" is empty.
> 
> I've VS 2017 community installed on a different partition (not C: )
> 
> any ideas ?!

You can open up the "Visual Studio Installer" and then select the "Modify" item which should show you the path it's installed.
Comment 29 mm.farahat 2017-09-14 18:09:02 UTC
thanks
Comment 30 Vikki 2017-09-15 06:43:58 UTC
Thanks. This fixed the problem.
Comment 31 eamiguinho 2017-09-15 14:30:29 UTC
Used the patch and worked but today I decided to update VS to:

Microsoft Visual Studio Enterprise 2017 
Version 15.3.4
VisualStudio.15.Release/15.3.4+26730.15
Microsoft .NET Framework
Version 4.7.02053

And now even after applying the patch keep getting the same problem: 
Android application is debugging.
Couldn't connect to logcat, GetProcessId returned: 0

Anyone experience this?
Comment 32 Jon Douglas [MSFT] 2017-09-15 17:03:06 UTC
*** Bug 59526 has been marked as a duplicate of this bug. ***
Comment 33 kyle.spearrin 2017-09-15 17:12:06 UTC
Workaround doesn't seem to be working for me. I dropped the dlls and such into "C:\Program Files (x86)\Microsoft Visual Studio\Preview\Enterprise\MSBuild\Xamarin\Android", restarted VS, but still getting the same problem. Any ideas?
Comment 34 Jon Douglas [MSFT] 2017-09-15 17:17:38 UTC
(In reply to kyle.spearrin from comment #33)
> Workaround doesn't seem to be working for me. I dropped the dlls and such
> into "C:\Program Files (x86)\Microsoft Visual
> Studio\Preview\Enterprise\MSBuild\Xamarin\Android", restarted VS, but still
> getting the same problem. Any ideas?

Did you put it in both directories as noted in my comment above and then cleared your obj/bin folders?
Comment 35 kyle.spearrin 2017-09-15 17:21:06 UTC
Repeated the steps over again and cleared bin/obj. Working now. Thanks.
Comment 36 Curia Damiano 2017-09-15 19:00:45 UTC
Hi,
I've tried to replace the patch DLLs (comment 20) as described here above in my Visual Studio 2017 15.4 preview 2 installation.
I've replaced the DLL in both folders (MSBuild and Common7), and reset permission like all other files.

The loading my Xamarin.Android project, I get this error message: "The AndroidXamarinPackage package did not load correctly"; then this project is unloaded.

How should I apply the patch above?
Comment 37 Tim 2017-09-16 14:38:48 UTC
I am having the same issue I n the community edition.  I replaced them but then it would no longer load my Android or Is projects.
Comment 38 Tim 2017-09-16 16:13:59 UTC
I am having the same issue In the community edition.  I replaced them but then it would no longer load my Android or IOS projects.
Comment 39 Carey Bishop 2017-09-17 21:28:12 UTC
If you're using Windows Explorer to extract the contents of the patch ZIP file, make sure that you've removed the Mark of the Web from each of the DLLs. If the DLLs have the Mark of the Web, then Visual Studio will refuse to load them.

Right click on the Mono.AndroidTools.dll, select Properties, check the Unblock checkbox at the bottom (or click the Unblock button, depends on OS version) and click OK. Repeat the same steps for Xamarin.AndroidTools.dll.
Comment 40 Curia Damiano 2017-09-18 03:32:42 UTC
Hi Carey, thank you. I confirm that it works now :-)
Comment 41 Matthias 2017-09-18 11:11:32 UTC
Does the workaround from Comment #20 also work with Visual Studio 2015?
Comment 42 Matthias 2017-09-18 11:35:43 UTC
Ja es funktioniert nach einem Neustart. Ich ersetzte die Dateien in diesem Verzeichnis: C:\Program Files (x86)\Microsoft Visual Studio 14.0\Common7\IDE\Extensions\Xamarin\Xamarin
Comment 43 Sa1 2017-09-18 11:36:07 UTC
Comment 20 Worked for me. Thanks
Comment 44 titqn 2017-09-21 09:02:56 UTC
Same as eamiguinho. The workaround worked but since i updated VS it doesn't work anymore... 
I'm in Community 2017 v15.3.5
Comment 45 Curia Damiano 2017-09-21 10:56:14 UTC
VS 15.3.5 doens't target Oreo. You still need to use the 15.4 preview (and if you have updated it, apply the patch again). It works for me
Comment 46 titqn 2017-09-21 11:33:04 UTC
Well i just installed VS Community 15.4.0 Preview 2.0 is it supposed to work ? I tried with and without the workaround still get the same error as everybody here on my nexus 5x oreo...
Comment 47 kyle.spearrin 2017-09-26 18:49:38 UTC
Just updated to 15.4 Preview 3 today. All good now :)
Comment 49 PlymouthRock 2017-10-05 16:25:05 UTC
The patch worked for me on my Oreo device.  However, now I can't debug on the emulator.  Getting message same message: Couldn't connect to logcat, GetProcessId returned: 0

Running Microsoft Android Emulator (Android 6.0 - API 23)
Comment 50 Tim 2017-10-06 03:52:23 UTC
I too cant get this to work with and without the workaround and with 15.4 preview.  On Nexus 6P with oreo...  Im still stuck with developing... This is ridiculous...
Comment 51 Tim 2017-10-06 03:52:51 UTC
This should not be verified fixed.
Comment 52 Tim 2017-10-06 04:09:46 UTC
Created attachment 25137 [details]
my logcat file

this didnt make as much sense as what i could get from the logcat in VS but i could not save that - might be better as just images.
Comment 53 Tim 2017-10-06 04:16:35 UTC
Created attachment 25138 [details]
Here is where i think the issues are in the log

This was better seen in the vs adb log
Comment 54 titqn 2017-10-06 07:05:50 UTC
Same case as Tim for me but with a Nexus 5x, Preview 15.4 Preview and with and without the workaround...
Comment 55 Jon Douglas [MSFT] 2017-10-06 15:18:25 UTC
For those experiencing this issue still, can you please do the following?

1. Clean your bin/obj folders of your project and remove any trace of the existing application from your device followed by the Mono Shared Runtime and Xamarin Android API Levels?

To do this, go to Settings -> Applications and remove these three applications:

- Your Application
- Mono Shared Runtime
- Xamarin.Android API-26 Support

This should put you in a fresh state to install items again. You can now try to rebuild and deploy.

2. Attach the IDE logs

You can grab these via the Help -> Zip Logs option in VS 2017. Specifically we would be after the "monodroid" logs as they will show devices being set and stopped.

3. If there's not much input in #2, Follow comment #20(https://bugzilla.xamarin.com/show_bug.cgi?id=56740#c20) and replace items with this diagnostic version which will put more output in the IDE logs:

https://www.dropbox.com/s/nytng838cj7synb/androidtools-bug59417.zip

Make sure to remove the mark of the web from these assemblies before installing.

Observations:

Based on your adb logs Tim, I am seeing socket connection refused items. Can you make sure that:

- The port is open on the destination
- There are no pending connections for the destination
- Something is not blocking access between the two?
Comment 56 Tim 2017-10-07 19:29:37 UTC
This finally fixed it for me:

1. Download preview 15.4
2. Update files of preview from comment 20.
3: Clean your bin/obj folders of your project and remove any trace of the existing application from your device followed by the Mono Shared Runtime and Xamarin Android API Levels?

To do this, go to Settings -> Applications and remove these three applications:

- Your Application
- Mono Shared Runtime
- Xamarin.Android API-26 Support

Thanks Jon Douglas!
Comment 57 jamie.twells 2017-10-09 13:01:01 UTC
Can you explain what you mean by "To do this, go to Settings -> Applications"

There is no Settings in Visual Studio that I can see, should I be looking in another program?
Comment 58 Jon Douglas [MSFT] 2017-10-09 14:11:36 UTC
(In reply to jamie.twells from comment #57)
> Can you explain what you mean by "To do this, go to Settings -> Applications"
> 
> There is no Settings in Visual Studio that I can see, should I be looking in
> another program?

This is done on your Android device using the Settings application.
Comment 59 jamie.twells 2017-10-09 14:14:28 UTC
Oh of course, thank you. This has fixed it. Thank you very much for your help, you've saved my day!
Comment 60 titqn 2017-10-11 12:15:58 UTC
Comment 56 finaly worked for me. Thank you !
Comment 61 wadalo73 2017-10-19 18:27:24 UTC
When can we expect to see a fix for this in a production build of Visual Studio? I feel uncomfortable dropping random dlls from a Dropbox folder into our build server.
Comment 62 Jon Douglas [MSFT] 2017-10-19 18:30:20 UTC
(In reply to wadalo73 from comment #61)
> When can we expect to see a fix for this in a production build of Visual
> Studio? I feel uncomfortable dropping random dlls from a Dropbox folder into
> our build server.

This should be fixed already in the 15.4 stable channel.
Comment 63 wadalo73 2017-10-19 18:34:18 UTC
Do you mean 15.4.1? I'm still seeing this issue in 15.4. When I deploy to my device, Xamarin.Android API-23 Support is installed but the debugger fails to attach correctly. I see the error `Couldn't connect to logcat, GetProcessId returned: 0`, and also a `Socket connection refused` error.
Comment 64 Jon Douglas [MSFT] 2017-10-19 18:41:16 UTC
(In reply to wadalo73 from comment #63)
> Do you mean 15.4.1? I'm still seeing this issue in 15.4. When I deploy to my
> device, Xamarin.Android API-23 Support is installed but the debugger fails
> to attach correctly. I see the error `Couldn't connect to logcat,
> GetProcessId returned: 0`, and also a `Socket connection refused` error.

No, this was released in 15.4. There was not a Xamarin.Android release for 15.4.1.

Can you please try removing the runtime, api levels, etc based on my earlier comment and try again? In your case, do this for API 23 support and such. Please also clean up your obj/bin folders from the build machine for the project.

https://bugzilla.xamarin.com/show_bug.cgi?id=56740#c55
Comment 65 wadalo73 2017-10-19 18:58:41 UTC
Thanks, I got it to work now, following these steps: 

1. Run Visual Studio 15.4
~2. Update files of preview from comment 20.~ Not needed in released version
3: Clean your bin/obj folders of your project and remove any trace of the existing application from your device followed by the Mono Shared Runtime and Xamarin Android API Levels

To do this, go to Settings -> Applications and remove these three applications:

- Your Application
- Mono Shared Runtime
- Xamarin.Android API-26 Support
Comment 66 Vikki 2017-10-23 06:50:11 UTC
Thank you, this helped me.

Note You need to log in before you can comment on or make changes to this bug.